<div class="client-placements-history">
  <app-content-banner [isDashboard]="false" pageName="Client Placements History"></app-content-banner>
  <mat-card class="cph-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <p class="banner-header">Client Details:</p>
      <div fxLayout="row" class="second-header-filter">
        <div class="stats"><span><b>ClientID: </b>{{pactClientID}}</span></div>
        <div class="stats"><span><b>First Name : </b>{{firstName}}</span></div>
        <div class="stats"><span><b>Last Name: </b>{{lastName}}</span></div>
        <div class="stats"><span><b>SSN: </b>{{ssn ? ssn.substr(5,4): ''}}</span></div>
        <div class="stats"><span><b>DOB: </b>{{dob}}</span></div>
        <div class="stats"><span><b>Gender: </b>{{gender}}</span></div>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Placements History</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="table-filters-header" fxLayout="column">
                <div fxLayout="row" fxLayoutAlign="start">
                  <!-- <div fxLayout="column" fxLayoutGap="10px">
                    <div>
                      <mat-label class="blue-label vcsid"><b>VCS ID: </b></mat-label><span
                        class="vcsid">{{vcsid}}</span>
                    </div>
                    <mat-label class="blue-label vh-dialog-link" (click)="onVerificicationHistoryClick()"><b>Click Here for Verification History</b></mat-label>
                  </div> -->
                  <mat-label class="blue-label vh-dialog-link" (click)="onVerificicationHistoryClick()"><b>Click Here for Verification History</b></mat-label>
                  <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                    <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">
                      settings_backup_restore</mat-icon>
                    <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                  </div>
                </div>
              </div>
              <div class="example-container mat-elevation-z4">
                <ag-grid-angular #clientPlacementsHistoryAgGrid id="clientPlacementsHistoryGrid" style="width: 100%"
                  class="ag-theme-balham my-grid" [columnDefs]="clientPlacementsHistoryColumnDefs"
                  [defaultColDef]="defaultColDef" [rowClassRules]="rowClassRules" [groupDefaultExpanded]="-1" [groupUseEntireRow]="true"
                  [rowData]="clientPlacementsHistoryRowData" [context]="context"
                  [animateRows]="true" [gridOptions]="cpGridOptions"
                  [pagination]="true" [paginationPageSize]="10" [paginateChildRows]="true"
                  [frameworkComponents]="frameworkComponents"
                  (gridReady)="onClientPlacementsHistoryGridReady($event)">
                </ag-grid-angular>
                <div class="foot-notes"> <span class="color-grade"></span> List of Pending Verifications</div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab *ngIf="isPlacementTabOpen">
          <ng-template matTabLabel>
            <span> [Placement #{{placementTabNumber}}] </span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="placement-form-content">
                  <p class="banner-header">Referral Details:</p>
                  <div fxLayout="column" fxLayoutGap="5px" class="banner-details">
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                      <div class="details-text"><b>ReferringAgency: </b><span>
                          {{cphSelected.raAgencyNo + ' - ' + cphSelected.raAgencyName}}</span></div>
                      <div class="details-text"><b>Eligibility: </b> <span> {{cphSelected.eligibility}}</span></div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                      <div class="details-text"><b>Referal Date: </b> <span>{{cphSelected.referralDate}}</span></div>
                      <div class="details-text"><b>Prioritization: </b> <span>{{cphSelected.svaPrioritization}}</span>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                      <div class="details-text"><b>ServiceNeeds: </b> <span> {{cphSelected.serviceNeeds}}</span></div>
                    </div>
                  </div>
                  <form [formGroup]="placementVerificationGroup">
                    <div class="main-form regular-mat-form-field" fxLayout="column" fxLayoutGap="5px">
                      <mat-expansion-panel expanded='placementPanelExpanded' class="mat-elevation-z0">
                        <mat-expansion-panel-header>
                          <mat-panel-title (click)="onPlacementExpansionPanelToggle()">
                            <mat-icon>{{placementPanelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                            <span><u>Placement Details:</u></span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <section>
                          <!-- <p class="banner-header">Placement Details:</p> -->
                          <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100 class="form-details">
                            <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                              <mat-label class="blue-label">Placement #: </mat-label>
                              <mat-form-field appearance="outline">
                                <input matInput formControlName="placementNoCtrl" readonly>
                              </mat-form-field>
                            </div>
                            <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                              <mat-label [ngClass]="{'blue-label' : (cphSelected.placementType == 661 || cphSelected.placementType == null),
                                                'required-label-color' : (cphSelected.placementType == 662 || cphSelected.placementType == 663)
                                                }">Placement Type: </mat-label>
                              <mat-form-field appearance="outline">
                                <mat-select formControlName="placementTypeCtrl" placeholder="Select" (selectionChange)="onPlacementTypeChanged($event)">
                                  <mat-option *ngFor="let plc of placementType" [value]="plc.refGroupDetailID">
                                    {{ plc.refGroupDetailDescription + ' - ' + plc.longDescription}}
                                  </mat-option>
                                </mat-select>
                              </mat-form-field>
                            </div>
                          </div>
                        </section>
                      </mat-expansion-panel>
                      <mat-expansion-panel expanded='moveInPanelExpanded' class="mat-elevation-z0">
                        <mat-expansion-panel-header>
                          <mat-panel-title (click)="onMoveInExpansionPanelToggle()">
                            <mat-icon>{{moveInPanelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                            <span><u>Move-In Details:</u></span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <section>
                          <!-- <p class="banner-header">Move-In Details:</p> -->
                          <div fxLayout="column" fxFlex=100 class="form-details"
                            [ngClass]="{'disable-background' : cphSelected.moveOutDate}">
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Move-In Date: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput [matDatepicker]="moveInDatePicker" formControlName="moveInDateCtrl"
                                    (dateChange)="onMoveInDateSelected()" dateOnly placeholder="MM/DD/YYYY" required>
                                  <mat-datepicker-toggle matSuffix [for]="moveInDatePicker"></mat-datepicker-toggle>
                                  <mat-datepicker #moveInDatePicker></mat-datepicker>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Agency Name: </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select
                                    formControlName="agencyNameCtrl"
                                    matTooltip="{{hpAgToolTipMsg !== '' ? hpAgToolTipMsg : 'n/a'}}"
                                    matTooltipPosition="after"
                                    matTooltipClass="vcs-info-tooltip"
                                    placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <!-- <mat-option *ngIf="(!((cphSelected.placementType == 662 || cphSelected.placementType == 663) && this.cphSelected.verificationStatusType == 520) && !containsProviderAgency) ||
                                                        (cphSelected.actionID == 3) ||
                                                        !containsProviderAgency" [value]="cphSelected.hpAgencyID">{{cphSelected.hpAgencyName}}</mat-option> -->
                                    <!-- <span *ngIf="(cphSelected.verificationStatusType == 758 ||
                                                    ((cphSelected.placementType == 662 || cphSelected.placementType == 663) && this.cphSelected.verificationStatusType == 520)
                                                  ) && !(cphSelected.actionID == 3)">
                                      <mat-option *ngFor="let agency of hpAgencies" [value]="agency.agencyID">{{ agency.agencyNo + ' - ' + agency.agencyName }}</mat-option>
                                    </span> -->
                                    <mat-option *ngFor="let agency of hpAgencies" [value]="agency.agencyID" >{{ agency.agencyNo + ' - ' + agency.agencyName }}</mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Site Name: </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select
                                    formControlName="siteNameCtrl"
                                    matTooltip="{{hpStToolTipMsg !== '' ? hpStToolTipMsg : 'n/a'}}"
                                    matTooltipPosition="after"
                                    matTooltipClass="vcs-info-tooltip"
                                    placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <!-- <mat-option *ngIf="(cphSelected.placementType == 663 && cphSelected.actionID == 3) " [value]="cphSelected.hpSiteID">{{cphSelected.hpSiteName}}</mat-option>
                                    <mat-option *ngIf="!((cphSelected.placementType == 662 || cphSelected.placementType == 663) && this.cphSelected.verificationStatusType == 520) || (!containsProviderAgency && placementVerificationGroup.get('agencyNameCtrl').value == cphSelected.hpAgencyID)" [value]="cphSelected.hpSiteID">{{cphSelected.hpSiteName}}</mat-option> -->

                                    <!-- <span *ngIf="(cphSelected.verificationStatusType == 758 ||
                                                    ((cphSelected.placementType == 662 || cphSelected.placementType == 663) && this.cphSelected.verificationStatusType == 520)
                                                  ) && !(cphSelected.actionID == 3)">
                                      <mat-option *ngFor="let site of hpSiteList" [value]="site.siteID">{{site.siteNo + ' - ' + site.siteName }}</mat-option>
                                    </span> -->
                                    <mat-option *ngFor="let site of hpSiteList" [value]="site.siteID">{{site.siteNo + ' - ' + site.siteName }}</mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Unit #: </mat-label>
                                <mat-form-field appearance="outline" placeholder="Select">
                                  <input matInput formControlName="unitNoCtrl" readonly>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Primary Service <span class="line-break">Contract
                                    Type:</span>
                                </mat-label>
                                <mat-form-field
                                  matTooltip="{{primaryServiceContractToolTipMsg !== '' ? primaryServiceContractToolTipMsg : 'n/a'}}"
                                  matTooltipPosition="after"
                                  matTooltipClass="vcs-info-tooltip"
                                  appearance="outline">
                                  <input matInput formControlName="primaryServiceContractTypeCtrl" readonly>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <span class="blue-label provider-comments"
                                  matTooltip="{{(cphSelected.moveInDate && cphSelected.moveInComments) ? cphSelected.moveInComments : 'n/a'}}"
                                  matTooltipPosition="after"
                                  matTooltipClass="vcs-info-tooltip">Provider Comments </span>
                              </div>
                              <!-- <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Provider <span class="line-break">Comments:</span>
                                </mat-label>
                                <mat-form-field appearance="outline">
                                  <textarea matInput formControlName="moveInCommentsCtrl" rows="4"></textarea>
                                </mat-form-field>
                              </div> -->
                            </div>
                          </div>
                        </section>
                      </mat-expansion-panel>
                      <mat-expansion-panel expanded='moveOutPanelExpanded' class="mat-elevation-z0">
                        <mat-expansion-panel-header>
                          <mat-panel-title (click)="onMoveOutExpansionPanelToggle()">
                            <mat-icon>{{moveOutPanelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                            <span><u>Move-Out Details:</u></span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <section>
                          <!-- <p class="banner-header">Move-Out Details:</p> -->
                          <div fxLayout="column" fxFlex=100 class="form-details"
                            [ngClass]="{'disable-background' : !cphSelected.moveOutDate}">
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Move-Out Date: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput [matDatepicker]="moveOutDatePicker" formControlName="moveOutDateCtrl"
                                    (dateChange)="onMoveOutDateSelected()" dateOnly placeholder="MM/DD/YYYY" required>
                                  <mat-datepicker-toggle matSuffix [for]="moveOutDatePicker"></mat-datepicker-toggle>
                                  <mat-datepicker #moveOutDatePicker></mat-datepicker>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Reason Moved: </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select
                                    formControlName="reasonMovedCtrl"
                                    matTooltip="{{reasonMovedToolTipMsg !== '' ? reasonMovedToolTipMsg : 'n/a'}}"
                                    matTooltipPosition="after"
                                    matTooltipClass="vcs-info-tooltip"
                                    placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let rsn of moveOutReasonType" [value]="rsn.refGroupDetailID">
                                      {{ rsn.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Location <span class="line-break">Moved To:</span>
                                </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select
                                    formControlName="locationMoveToCtrl"
                                    matTooltip="{{locationMovedToolTipMsg !== '' ? locationMovedToolTipMsg : 'n/a'}}"
                                    matTooltipPosition="after"
                                    matTooltipClass="vcs-info-tooltip"
                                    placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let mvl of moveOutLocationType" [value]="mvl.refGroupDetailID">
                                      {{ mvl.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Agency Moved To: </mat-label>
                                <mat-form-field
                                  appearance="outline"
                                  matTooltip="{{agencyMovedToolTipMsg !== '' ? agencyMovedToolTipMsg : 'n/a'}}"
                                  matTooltipPosition="after"
                                  matTooltipClass="vcs-info-tooltip"
                                  placeholder="Select">
                                  <input matInput formControlName="agencyMovedToCtrl" readonly>
                                  <!-- <mat-select formControlName="agencyMovedToCtrl" placeholder="Select">
                                <mat-option [value]="0">Select</mat-option>
                                <mat-option *ngFor="let agency of raHpAgencies" [value]="agency.agencyID">
                                  {{ agency.agencyNo + ' - ' + agency.agencyName }}
                                </mat-option>
                                <mat-option [value]="-2">Other</mat-option>
                              </mat-select> -->
                                </mat-form-field>
                              </div>
                              <!-- <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Specify: </mat-label>
                                <mat-form-field appearance="outline">
                                  <textarea matInput formControlName="agencyMovedToOtherSpecifyCtrl"
                                    rows="4"></textarea>
                                </mat-form-field>
                              </div> -->
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <span class="blue-label provider-comments"
                                  matTooltip="{{(cphSelected.moveOutDate && cphSelected.moveToAgencyOtherSpecify) ? cphSelected.moveToAgencyOtherSpecify : 'n/a'}}"
                                  matTooltipPosition="after"
                                  matTooltipClass="vcs-info-tooltip">Agency Moved To Other Specify </span>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Move-Out Type: </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="moveOutTypeCtrl" placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let moType of moveOutType" [value]="moType.refGroupDetailID">
                                      {{ moType.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <!-- <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Provider <span class="line-break">Comments:</span>
                                </mat-label>
                                <mat-form-field appearance="outline">
                                  <textarea matInput formControlName="moveOutCommentsCtrl" rows="4"></textarea>
                                </mat-form-field>
                              </div> -->
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <span class="blue-label provider-comments"
                                  matTooltip="{{(cphSelected.moveOutDate && cphSelected.moveOutComments) ? cphSelected.moveOutComments : 'n/a'}}"
                                  matTooltipPosition="after"
                                  matTooltipClass="vcs-info-tooltip">Provider Comments </span>
                              </div>

                            </div>
                          </div>
                        </section>
                      </mat-expansion-panel>
                      <mat-expansion-panel (opened)="reviewerPanelExpanded = true;"
                        (closed)="reviewerPanelExpanded = false;" class="mat-elevation-z0">
                        <mat-expansion-panel-header>
                          <mat-panel-title (click)="onReviewerExpansionPanelToggle()">
                            <mat-icon>{{reviewerPanelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                            <span><u>Verification Details:</u></span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <section>
                          <!-- <p class="banner-header">Verification Details:</p> -->
                          <div fxLayout="column" fxFlex=100 class="form-details">
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label [ngClass]="{'blue-label' : (cphSelected.moveOutDate || cphSelected.actionID == 3),
                                                  'required-label-color' : (cphSelected.moveInDate && !cphSelected.moveOutDate && cphSelected.actionID !== 3)
                                                  }">Original Source: </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="originalSourceCtrl" placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let os of originalSourceType" [value]="os.refGroupDetailID">
                                      {{ os.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Date Entered: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput formControlName="osDateEnteredCtrl" readonly>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Entered By: </mat-label>
                                <mat-form-field appearance="outline" placeholder="Select">
                                  <input matInput formControlName="osEnteredByCtrl" readonly>
                                </mat-form-field>
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label [ngClass]="{'blue-label' : ((cphSelected.moveInDate && !cphSelected.moveOutDate) || cphSelected.actionID == 3),
                                                  'required-label-color' : (cphSelected.moveOutDate && cphSelected.actionID !== 3)
                                                  }">Source: </mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="sourceCtrl" placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let os of originalSourceType" [value]="os.refGroupDetailID">
                                      {{ os.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Date Entered: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput formControlName="sDateEnteredCtrl" readonly>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Entered By: </mat-label>
                                <mat-form-field appearance="outline" placeholder="Select">
                                  <input matInput formControlName="sEnteredByCtrl" readonly>
                                </mat-form-field>
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="required-label-color">Verification <span
                                    class="line-break">Source:</span></mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="verificationSourceCtrl" placeholder="Select">
                                    <mat-option [value]="0">Select</mat-option>
                                    <mat-option *ngFor="let os of originalSourceType" [value]="os.refGroupDetailID">
                                      {{ os.refGroupDetailDescription }}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Verified Date: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput formControlName="dateVerifiedCtrl" readonly>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Verified By: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput formControlName="verifiedByCtrl" readonly>
                                </mat-form-field>
                              </div>
                            </div>
                            <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label
                                  [ngClass]="{'blue-label' : (!isReviewerCommentMandatory), 'required-label-color' : (isReviewerCommentMandatory)}">
                                  Reviewer <span class="line-break">Comments:</span></mat-label>
                                <mat-form-field appearance="outline">
                                  <textarea matInput formControlName="reviewerCommentsCtrl"
                                    placeholder="Enter Comments here..." rows="4"></textarea>
                                </mat-form-field>
                              </div>
                              <div fxLayout="row" fxLayoutGap="10px" fxFlex=33 fxFlex.lt-md=100>
                                <mat-label class="blue-label">Date Verified: </mat-label>
                                <mat-form-field appearance="outline">
                                  <input matInput [matDatepicker]="reviewerDateVerifiedDatePicker" formControlName="reviewerDateVerifiedCtrl"
                                    dateOnly placeholder="MM/DD/YYYY">
                                  <mat-datepicker-toggle matSuffix [for]="reviewerDateVerifiedDatePicker"></mat-datepicker-toggle>
                                  <mat-datepicker #reviewerDateVerifiedDatePicker></mat-datepicker>
                                </mat-form-field>
                              </div>
                            </div>
                          </div>
                        </section>
                      </mat-expansion-panel>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
      <div *ngIf="selectedTab == 1" class="btn-section mat-elevation-z4" fxLayout="row">
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="start">
          <button type="button" mat-raised-button (click)="onPlacementFormExitClick()" color="primary">Exit</button>
        </span>
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
          <button type="button" *ngIf="cphSelected.actionID == 1" mat-raised-button
            (click)="onAcceptRejectUpdateVerification(1)" color="primary">Accept Placement</button>
          <button type="button" *ngIf="cphSelected.actionID == 1" mat-raised-button
            (click)="onAcceptRejectUpdateVerification(2)" color="warn">Reject Placement</button>
          <button type="button" *ngIf="cphSelected.actionID == 2" mat-raised-button
            (click)="onAcceptRejectUpdateVerification(3)" color="primary">Update</button>
        </span>
      </div>
      <div *ngIf="selectedTab == 0" class="btn-section mat-elevation-z4" fxLayout="row">
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
          <button type="button" mat-raised-button
            (click)="onPlacementHistoryExitClick()" color="primary">Exit</button>
        </span>
      </div>
    </mat-card-content>
  </mat-card>
</div>
